package com.srs.comprehensive.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 审核明细对象 cph_audit_details
 * 
 * @author 邓
 * @date 2023-07-04s.0
 */
@Data
public class CphAuditDetails extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @TableField(exist = false)
    private String stuName;

    /** id */
    private Long id;

    /** 加分名称 */
    @Excel(name = "加分名称")
    private String projectName;

    /** 提交人id */
    @Excel(name = "提交人id")
    private Long submitterId;

    /** 提交人 */
    @Excel(name = "提交人")
    private String submitterName;

    /** 审核人id */
    @Excel(name = "审核人id")
    private Long reviewedById;

    /** 项目id */
    @Excel(name = "加分id")
    private Long projectId;

    /** 项目类型id */
    @Excel(name = "加分类型id")
    private Long projectTypeId;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Long statusCode;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;
    private CphRules rules;

    private  String deptName;
    private String majorsName;
    private  String className;
    private String stuNo;
    private Long gradeId;


    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getMajorsName() {
        return majorsName;
    }

    public void setMajorsName(String majorsName) {
        this.majorsName = majorsName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getStuNo() {
        return stuNo;
    }

    public void setStuNo(String stuNo) {
        this.stuNo = stuNo;
    }




    public CphRules getRules() {
        return rules;
    }

    public void setRules(CphRules rules) {
        this.rules = rules;
    }


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectName(String projectName) 
    {
        this.projectName = projectName;
    }

    public String getProjectName() 
    {
        return projectName;
    }
    public void setSubmitterId(Long submitterId) 
    {
        this.submitterId = submitterId;
    }

    public Long getSubmitterId() 
    {
        return submitterId;
    }
    public void setSubmitterName(String submitterName) 
    {
        this.submitterName = submitterName;
    }

    public String getSubmitterName() 
    {
        return submitterName;
    }
    public void setReviewedById(Long reviewedById) 
    {
        this.reviewedById = reviewedById;
    }

    public Long getReviewedById() 
    {
        return reviewedById;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setProjectTypeId(Long projectTypeId) 
    {
        this.projectTypeId = projectTypeId;
    }

    public Long getProjectTypeId() 
    {
        return projectTypeId;
    }
    public void setStatusCode(Long statusCode) 
    {
        this.statusCode = statusCode;
    }

    public Long getStatusCode() 
    {
        return statusCode;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectName", getProjectName())
            .append("submitterId", getSubmitterId())
            .append("submitterName", getSubmitterName())
            .append("reviewedById", getReviewedById())
            .append("projectId", getProjectId())
            .append("projectTypeId", getProjectTypeId())
            .append("statusCode", getStatusCode())
            .append("createTime", getCreateTime())
            .append("remarks", getRemarks())
            .toString();
    }
}
